be.fgov.ehealth.technicalconnector.ra.enumaration

## Enum Status

- java.lang.Object
- - java.lang.Enum<Status>
  - - be.fgov.ehealth.technicalconnector.ra.enumaration.Status

- All Implemented Interfaces:
    Serializable, Comparable<Status>

      public enum Status
      extends Enum<Status>

  Enumaration containg the possible status message from the RA services.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `OK`
    `PENDING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final Status OK

    - #### PENDING

          public static final Status PENDING

    - #### ERROR

          public static final Status ERROR

  - ### Method Detail

    - #### values

          public static Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Status c : Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Connector Packaging PERSPRACTICALNURSE 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.